Package org.springframework.beans.factory.xml

# Class ParserContext

java.lang.Object
org.springframework.beans.factory.xml.ParserContext

public final class ParserContext extends Object
Context that gets passed along a bean definition parsing process, encapsulating all relevant configuration as well as state. Nested inside an `XmlReaderContext`.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  - `XmlReaderContext`
  - `BeanDefinitionParserDelegate`

## Constructor Summary

Constructors
Constructor
Description
`ParserContext(XmlReaderContext readerContext, BeanDefinitionParserDelegate delegate)`
`ParserContext(XmlReaderContext readerContext, BeanDefinitionParserDelegate delegate, BeanDefinition containingBeanDefinition)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`extractSource(Object sourceCandidate)`
`BeanDefinition`
`getContainingBeanDefinition()`
`CompositeComponentDefinition`
`getContainingComponent()`
`BeanDefinitionParserDelegate`
`getDelegate()`
`XmlReaderContext`
`getReaderContext()`
`BeanDefinitionRegistry`
`getRegistry()`
`boolean`
`isDefaultLazyInit()`
`boolean`
`isNested()`
`void`
`popAndRegisterContainingComponent()`
`CompositeComponentDefinition`
`popContainingComponent()`
`void`
`pushContainingComponent(CompositeComponentDefinition containingComponent)`
`void`
`registerBeanComponent(BeanComponentDefinition component)`
`void`
`registerComponent(ComponentDefinition component)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserContext

public ParserContext(XmlReaderContext readerContext, BeanDefinitionParserDelegate delegate)

### ParserContext

public ParserContext(XmlReaderContext readerContext, BeanDefinitionParserDelegate delegate, @Nullable BeanDefinition containingBeanDefinition)

## Method Details

### getReaderContext

public XmlReaderContext getReaderContext()

### getRegistry

public BeanDefinitionRegistry getRegistry()

### getDelegate

public BeanDefinitionParserDelegate getDelegate()

### getContainingBeanDefinition

@Nullable public BeanDefinition getContainingBeanDefinition()

### isNested

public boolean isNested()

### isDefaultLazyInit

public boolean isDefaultLazyInit()

### extractSource

@Nullable public Object extractSource(Object sourceCandidate)

### getContainingComponent

@Nullable public CompositeComponentDefinition getContainingComponent()

### pushContainingComponent

public void pushContainingComponent(CompositeComponentDefinition containingComponent)

### popContainingComponent

public CompositeComponentDefinition popContainingComponent()

### popAndRegisterContainingComponent

public void popAndRegisterContainingComponent()

### registerComponent

public void registerComponent(ComponentDefinition component)

### registerBeanComponent

public void registerBeanComponent(BeanComponentDefinition component)